### Method

# GUPnP ServiceIntrospection get_state_variable

#### Declaration [src]

    const GUPnPServiceStateVariableInfo*
    gupnp_service_introspection_get_state_variable (
      GUPnPServiceIntrospection* introspection,
      const gchar* variable_name
    )

#### Description [src]

Returns the state variable by the name `variable_name` in this service.

#### Parameters

`variable_name`

  Type: `const gchar*`

  The name of the variable to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GUPnPServiceStateVariableInfo`

The state variable or `NULL`. Do not modify or free it.

The returned data is owned by the instance.
The return value can be `NULL`.